Subject: Re: [PATCH] Documentation: add a planning document for the next CLI revamp

From: Pierre Habouzit <[email-masked]>
Date: Thu, 30 Oct 2008 16:01:35 +0100

On Thu, Oct 30, 2008 at 02:59:28PM +0000, Mike Hommey wrote:
> On Thu, Oct 30, 2008 at 07:52:53AM -0700, Shawn O. Pearce <[email-masked]> wrote:
> > +1 to Nico's NAK.
> > 
> > Although I was at the GitTogether I don't remember this change to
> > checkout being discussed.  I must have been asleep reading email
> > or something.  I am _NOT_ in favor of this change; I think the
> > current behavior of "git checkout origin/master" is correct and as
> > sane as we can make it.
> 
> Except he was talking about 'git checkout branch', not 'git checkout
> origin/branch'. And I would be fine with 'git checkout branch' doing
> what 'git checkout -b branch $remote/branch' does if $remote is unique
> (i.e. there is no other 'branch' branch in any other remote) and the
> 'branch' branch doesn't already exist.

Seconded.

Having git-checkout $foo being a shorthand for git checkout -b $foo
origin/$foo when origin/$foo exists and $foo doesn't is definitely handy.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org